Package org.jbpm.kie.services.api

## Class DeploymentIdResolver

- java.lang.Object
- - org.jbpm.kie.services.api.DeploymentIdResolver

- All Implemented Interfaces:
    `org.kie.internal.runtime.manager.RuntimeManagerIdFilter`

      public class DeploymentIdResolver
      extends Object
      implements org.kie.internal.runtime.manager.RuntimeManagerIdFilter

  Deployment id resolver that allows to find out latest version of given deployment id. To be able to find it deployment id needs to be done with valid group and artifact id and version must be set to `latest` (case insensitive):
  `org.jbpm:HR:latest`
  then available deployment units will be scanned and based on Maven version comparison latest will be returned.
  Primary method to be used `matchAndReturnLatest(java.lang.String, java.util.Collection<java.lang.String>)`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeploymentIdResolver()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Collection<String>` | `filter​(String pattern, Collection<String> identifiers)` |
    `static String` | `findLatest​(Collection<String> deploymentIds)` |
    `static String` | `matchAndReturnLatest​(String deploymentId, Collection<String> availableDeployments)` |
    `static Collection<String>` | `matchDeployments​(String deploymentId, Collection<String> availableDeployments)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentIdResolver

          public DeploymentIdResolver()

  - ### Method Detail

    - #### matchAndReturnLatest

          public static String matchAndReturnLatest​(String deploymentId,
                                                    Collection<String> availableDeployments)

    - #### matchDeployments

          public static Collection<String> matchDeployments​(String deploymentId,
                                                            Collection<String> availableDeployments)

    - #### findLatest

          public static String findLatest​(Collection<String> deploymentIds)

    - #### filter

          public Collection<String> filter​(String pattern,
                                           Collection<String> identifiers)

      Specified by:
        `filter` in interface `org.kie.internal.runtime.manager.RuntimeManagerIdFilter`